Page MenuHomePhabricator

Enable ContentTranslation in the English Wikipedia
Closed, ResolvedPublic

Description

Based on the stats of translated page, one can easily see that English is the number one source language.

The numbers for Spanish are especially showing: Even though the quality of the machine translation from English to Spanish is lower than the quality of the machine translation from Catalan or Portuguese, 72 articles are translated from English, 16 from Catalan and 6 from Portuguese. The likely interpretation is that the English Wikipedia has content that is more attractive to translators even if MT is not great.

Currently the English language appears in the "From" selector in the CX dashboard in wikis where Content Translation is enabled, but it is not available on English Wikipedia itself, not even as a beta feature. This means that improvements to bring more people into the translation interface (new entry points) are not made available in the most used source language. We think that enabling CX as a beta feature in the English Wikipedia will help users to easily start translating, thus resulting in more translations to all languages.

If we deploy CX to the English Wikipedia, we can also enable English as a target language for CX. That will allow users (only those enabling the beta feature) to publish translations in English Wikipedia. This decision is independent from the former one, although there's no reason not to do it. As with other wikis, we can simply track the deletions of the articles and listen to the community's feedback, and disable it as a target, or change the target namespace to User or Draft if needed. As of March 27, the number of articles deleted from the mainspace is negligible: only two articles were deleted as vandalism or bad translations out of 623 that were translated and kept (7 others were deleted as testing edits).

Finally, some community discussions were already held in the English Wikipedia about this and the response was positive:

The proposal is:

  • To enable the ContentTranslation extension as a beta feature in the English Wikipedia.
  • Publishing will be the same as in other languages - to the main space. We shall track deletions and user feedback and change this configuration accordingly if needed.
  • The source languages, initially, will be the same languages in which CX is already enabled. (Theoretically we could enable any language, but for the sake of simplicity let's just add them as we enable CX in the respective wikis.)

Details

Related Gerrit Patches:
operations/puppet : productionCX: Add 'en' as target wikis and MT support
operations/mediawiki-config : masterCX: Enable ContentTranslation in enwiki

Event Timeline

Amire80 created this task.Mar 27 2015, 12:10 AM
Amire80 raised the priority of this task from to Normal.
Amire80 updated the task description. (Show Details)
Amire80 added subscribers: Language-Team, Aklapper, Amire80 and 5 others.
Pginer-WMF added a comment.EditedMar 27 2015, 5:58 PM

Just for the record. Some user comments collected about the lack of English:

Harej awarded a token.May 20 2015, 2:30 PM
Pginer-WMF updated the task description. (Show Details)May 20 2015, 2:31 PM
Pginer-WMF set Security to None.
Elitre added a subscriber: Elitre.Jun 7 2015, 4:53 PM
Restricted Application added a project: Notice. · View Herald TranscriptJun 25 2015, 4:06 PM
Amire80 moved this task from Needs Triage to CX5 on the ContentTranslation board.Jun 25 2015, 11:06 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Jun 26 2015, 8:27 PM
Koavf added a subscriber: Koavf.Jun 30 2015, 5:00 AM
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:32 PM
gpaumier moved this task from Triaged to Archive on the Notice board.

Change 222991 had a related patch set uploaded (by KartikMistry):
CX: Enable ContentTranslation in enwiki

https://gerrit.wikimedia.org/r/222991

Change 223042 had a related patch set uploaded (by KartikMistry):
CX: Add 'en' as target wikis and MT support

https://gerrit.wikimedia.org/r/223042

Change 223042 merged by Alexandros Kosiaris:
CX: Add 'en' as target wikis and MT support

https://gerrit.wikimedia.org/r/223042

Change 222991 merged by jenkins-bot:
CX: Enable ContentTranslation in enwiki

https://gerrit.wikimedia.org/r/222991

KartikMistry closed this task as Resolved.Jul 8 2015, 4:46 AM
KartikMistry removed a project: Patch-For-Review.